DVCSTime (Bouncy Castle Library 1.52 API Specification)
Date: 2015-03-01

org.bouncycastle.asn1.dvcs

## Class DVCSTime

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.dvcs.DVCSTime

- All Implemented Interfaces:
    ASN1Choice, ASN1Encodable, Encodable

      public class DVCSTime
      extends ASN1Object
      implements ASN1Choice

           DVCSTime ::= CHOICE  {
               genTime                      GeneralizedTime,
               timeStampToken               ContentInfo
           }

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DVCSTime(ASN1GeneralizedTime genTime)`
    `DVCSTime(ContentInfo timeStampToken)`
    `DVCSTime(java.util.Date time)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ASN1GeneralizedTime` | `getGenTime()`
    `static DVCSTime` | `getInstance(ASN1TaggedObject obj, boolean explicit)`
    `static DVCSTime` | `getInstance(java.lang.Object obj)`
    `ContentInfo` | `getTimeStampToken()`
    `ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode, toASN1Object`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DVCSTime

          public DVCSTime(java.util.Date time)

    - #### DVCSTime

          public DVCSTime(ASN1GeneralizedTime genTime)

    - #### DVCSTime

          public DVCSTime(ContentInfo timeStampToken)

  - ### Method Detail

    - #### getInstance

          public static DVCSTime getInstance(java.lang.Object obj)

    - #### getInstance

          public static DVCSTime getInstance(ASN1TaggedObject obj,
                             boolean explicit)

    - #### getGenTime

          public ASN1GeneralizedTime getGenTime()

    - #### getTimeStampToken

          public ContentInfo getTimeStampToken()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Description copied from class: `ASN1Object`
      Method providing a primitive representation of this object suitable for encoding.
      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`